import axios from "../../utils/axios";

export function filterDepts(query) {
    return axios({
        url: "/udi/auth/dept/filter",
        method: "get",
        params: query
    });
}

export function addDept(data) {
    return axios({
        url: "/udi/auth/dept/add",
        method: "post",
        data: data
    });
}

export function updateDept(data) {
    return axios({
        url: "/udi/auth/dept/update",
        method: "post",
        data: data
    });
}

export function deleteDept(data) {
    return axios({
        url: "/udi/auth/dept/delete",
        method: "post",
        data: data
    });
}
